#!/bin/sh
#
# RandSig-Fortune integration. This shell script can be used to
# add fortune (or any other) tags under randsig, by adding a given
# number of funny sentences to the .signature.tags file.
#
# Usage:   ./add_fortune_tags.sh numtags
#
# Example: ./add_fortune_tags.sh 10
#

PROGRAM="fortune -s"
LOOP="0"
LIMIT=$1
FILE="~/.signature.tags"

# this detection code has been contributed by VoiD on #linux channel...
if [ -z $1 ]
then
  echo -e
  echo "Usage: ./add_fortune_tags.sh number_of_tags"
  echo -e
  exit 0
fi

NUMERO=`echo $1 | awk '$1 ~ "^[0-9]*[0-9]$" { print $1 }'`
if [ -z $NUMERO ]
then
   echo "The argument must be an integer value (1-N)..." && exit 0
fi

while test $LOOP != $LIMIT
do
  echo "Added tag number `expr $LOOP + 1` to $FILE .";
  echo "[*`$PROGRAM`*]" >> $FILE;
  LOOP=`expr $LOOP + 1 `;
done;
